TAAS - Feature #158

Document Submission
02/25/2023 10:30 AM - Anil KV

Status: Reopen Bugs Start date: 02/25/2023
Priority: Normal Due date:

Assignee: Vivekp V % Done: 50%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Document Submission

Description

Coding Document Submission

History

#1 - 03/09/2023 11:18 AM - Junaid M

- Status changed from New to Open

- Assignee changed from Junaid M to Karthika V Anand
- % Done changed from 0 to 10

#2 - 03/09/2023 11:26 AM - Karthika V Anand
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#3 - 03/09/2023 05:00 PM - Junaid M
- File SQL-DOC-SUBMISSION-DATA.sql added

#4 - 03/11/2023 05:52 PM - Junaid M
- File Sql.sql added

#5 - 03/27/2023 09:47 AM - Karthika V Anand
- Status changed from Coding Started to Particialy Coding Done

#6 - 03/27/2023 11:50 AM - Karthika V Anand
- Status changed from Particialy Coding Done to Coding Done

- % Done changed from 40 to 60

#7 - 03/27/2023 03:43 PM - Amal Cyriac
- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****

1.Fix bugs on Search

>Showing same results for all documents
>duplication on search result

2.fix error while save

>Set validation - at least one item checked while save
>Prevent save while - Data empty/Null

3.use dd/mm/yyyy format on grid

4 .Remove Sl.No from grid

#8 - 03/27/2023 04:17 PM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#9 - 03/29/2023 12:02 PM - Amal Cyriac

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****
1.Enable Save & New buttons
2.Div must be expanded while tap on new button

#10 - 04/05/2023 04:49 PM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#11 - 04/11/2023 05:29 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Fix bugs on 'New' button -

(Prevent Div collapse while tap on new button)

2.fix bugs on GUI

(Typing on Search div it will entering both Main div & Search div)

#12 - 04/20/2023 10:49 AM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#13 - 04/20/2023 04:08 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.If both checkboxes are unticked grid must be change to default style

2.Fix bugs on grid - alignment changing while tick check box
3.Set proper space between CODE & NAME

(selection box)

4 Fix bugs on Div Expansion icon - Search Bar

(Ilcon must be change based on expand & collapse)

#14 - 06/20/2023 05:17 PM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#15 - 06/23/2023 07:04 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Remove empty icon from party

2.Disable party on main div

3.Set validations on Check box - Atleast one checked as default
4.Remove Edit/Save function from grid - On check box
(Document Wise & Item Wise)

5.Add Narration, Reference & branch on Grid

6.Add Branch & Department multi selection box on Search div.
7.Add grouping on Grid Head - Document Wise & Item Wise
8.Fix errors on date picker - Set validations on date range
9.Set Precision & right alignment on Amounts - Grid

10.Fix errors on update

05/03/2025

2/11



(Party missing , Showing "Updated by another user" alert)
11.Set alignment on GUI - Search Div

#16 - 07/26/2023 04:59 PM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#17 - 08/07/2023 05:38 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.DOCUMENT SELECT ALL BRANCH OPTION NOT WORKING

2.SUBMITTING ALREADY SUBMITTED DOCUMENT WHILE SEARCH

#18 - 08/09/2023 12:10 PM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#19 - 08/16/2023 05:43 PM - Seema Mathew
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from unnikannan S to Seema Mathew
ISSUE FOUNDED

1.DATA NOT APPEARING WHILE CLICKING NEW

#20 - 08/18/2023 11:49 AM - Karthika V Anand

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#21 - 09/03/2023 05:56 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

1.INCREASE IN AMOUNT WHILE UPDATING ALREADY SUBMITTED DOCUMENTS IN OTHER DOC RELATED MODULES

#22 - 09/04/2023 12:52 PM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#23 - 10/06/2023 03:37 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.CLEAR CURRENCY CODES WHILE ADDING A/C AND CLICKING NEW

#24 - 10/07/2023 05:26 PM - Junaid M
- Assignee changed from Karthika V Anand to Vivekp V
#25 - 10/11/2023 04:17 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

issues fixed

1.CLEAR CURRENCY CODES WHILE ADDING A/C AND CLICKING NEW

#26 - 10/12/2023 11:47 AM - unnikannan S
TESTING DONE

#27 - 10/12/2023 06:06 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.ADD RESET OPTION

#28 - 10/13/2023 04:30 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.ADD RESET OPTION

#29 - 10/14/2023 12:20 PM - unnikannan S
TESTING DONE

#30 - 11/01/2023 03:15 PM - Seema Mathew
- Status changed from Reopen Bugs Coding Done to Coding Done

- Tested By changed from unnikannan S to Seema Mathew

ISSUE FOUNDED****

1.NOT SHOWING SAVED MESSAGE.

#31 - 11/01/2023 03:53 PM - Seema Mathew
- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50

#32 - 11/02/2023 12:35 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.NOT SHOWING SAVED MESSAGE.
2.DATA NOT SHOWING WHEN SAVE BUTTON CLICKED

#33 - 11/17/2023 03:35 PM - unnikannan S
TESTING DONE

#34 - 11/17/2023 03:37 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S
ISSUE FOUNDED

1.FREEZING ALL BUTTONS WHILE SAVE EXCEPT (UPDATE)
#35 - 11/21/2023 12:10 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.FREEZING ALL BUTTONS WHILE SAVE EXCEPT (UPDATE)

#36 - 11/21/2023 05:09 PM - unnikannan S
TESTING DONE

#37 - 12/05/2023 02:40 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.REMOVE NON DOCUMENT MODULES FROM MODULE FILTER

2.SHOWING DOCUMENTS OF RECEIPT,PAYMENT,JOURNAL ONLY

3.SHOWING FALSE INFO MESSAGE

#38 - 12/07/2023 07:46 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.REMOVE NON DOCUMENT MODULES FROM MODULE FILTER removed
2.SHOWING DOCUMENTS OF RECEIPT,PAYMENT,JOURNAL added sale and refund module data and will only show data from them
3.SHOWING FALSE INFO MESSAGE fixed(need fixing from controller and need considering)

#39 - 12/08/2023 09:53 AM - unnikannan S
TESTING DONE

#40 - 03/13/2024 10:55 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.ERROR IN DELETION
2.RE-ARRANGE DATAS IN PRINT
3.CLEAR INVALID DOC NO

#41 - 03/13/2024 11:31 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#42 - 03/13/2024 11:32 AM - Vivekp V
ISSUE FIXED
1.ERROR IN DELETION

2.RE-ARRANGE DATAS IN PRINT
3.CLEAR INVALID DOC NO

#43 - 03/13/2024 02:38 PM - unnikannan S
TESTING DONE
#44 - 04/11/2024 04:28 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Fix Bugs On Doc No Info Message fixed

2.Freezing Delete Buttton On First Save fixed

3.Allow Submission Of The Document In Case The Document Is Already Submitted And The Submiision Is Deleted (found a solution and fixed need
to verify after discussion)

#45 - 04/15/2024 04:44 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Fix Bugs On Doc No Info Message fixed
2.Freezing Delete Buttton On First Save fixed
3.Allow Submission Of The Document In Case The Document Is Already Submitted And The Submiision Is Deleted

#46 - 04/16/2024 06:07 PM - unnikannan S
TESTING DONE

#47 - 04/16/2024 06:08 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Clear Invalid Doc No On Focus Out

#48 - 04/16/2024 07:18 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Clear Invalid Doc No On Focus Out

#49 - 04/17/2024 06:02 PM - unnikannan S
TESTING DONE

#50 - 09/25/2024 10:39 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1) No validation if to date is greater than from date.
2) Data not showing including the selected time period.

#51 - 09/25/2024 11:29 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1) No validation if to date is greater than from date.
2) Data not showing including the selected time period.
#52 - 10/10/2024 07:02 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#53 - 11/26/2024 06:28 PM - Arathy PS
- Status changed from Testing Done to New Changes

- % Done changed from 90 to 50

NEW CHANGES DONE

1. Module Items - Tick Only 'Sale' and 'Against Sale'(Add this)

#54 - 11/30/2024 07:16 PM - Vivekp V
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#55 - 12/07/2024 08:34 PM - unnikannan S
- Status changed from New Changes Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#56 - 12/07/2024 09:09 PM - unnikannan S
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FIXED
1.No Data While Search With Module ltem Against Sale
#57 - 12/09/2024 05:31 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#58 - 12/12/2024 11:39 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

Changes DONE

1. Remove document wise and module wise checkboxes.
2. In the grouping at the grid change name of document wise to module wise and item wise to document wise. removed due to tree list not supporting
grouping feature will add if new solution is found ( asked and confirmed by anil Sir)

DESIGN CHANGES DONE

. In transaction table enable dat_submission FIXED

. If Invoice or refund is showing then show the items included in them below it.FIXED

. If the amount is debit then show in positve and if amount is credit then show in negative.FIXED
. Narration can show sector details and such.

. Data should be feteched from transaction table.FIXED

. Give a title to period : transaction date.

. Remove branch from thr grid.FIXED

. Add another column Submission after amount : should show doc no: (submission date)FIXED

oONO O~ WND =

note a functionality is there in technical blocker must be fixed only then can it be fully fixed

#59 - 02/12/2025 02:40 PM - Arathy PS
- File clipboard-202502121140-ifrjw.png added
- File clipboard-202502121143-itonb.png added

- Status changed from New Changes to Reopen Bugs

05/03/2025 7/11



ISSUE FOUND

1. While clicking reset button document no: field is still disabled. FIXED
2. When a single item is selected from a document with multiple items for submission and when in edit mode of that doc submission only one doc. is
showing and also the parent document with whole is also shown as ticked.

Document Submission z) 9= MEnu*_Q LW AN:]

DocNo | SBM/004 Date™  11/01/2025 Branch™ | BROO1:: Main h
Party" | CUS001 PAYMENT TERM CUSTOMER CHECK QAR v Department” | DPOO1: Account M
Created By:  Administrator(12/02/2025 T1:17 AM) Narration )
Modified By: Total Amount QAR:  2350.00
Period® | 12/02/2025 12/02/2025 Branch™  ain - Department
Q search
Party” | CUSO01 PAYMENT TERM CUSTOMER CHECK QAR v Module | Sale

v Document No Document Date Amount In QAR | Reference Narration submission

v v INV/004 18/12/2024. 110000 SBM/004: (11-01-2025)
v 1003 18/12/2024. 110000 SBM/004: (11-01-2025)

v v INV/005 06/01/2025 260000 SBM/004: (11-01-2025)
- '\ :

1004 06/01/2025 125000 SBM/004; (11-01-2025
parent with two items

3. Show in correct order of document no: (both parent and child) in the print. FIXED

Document Submission List

Document No : SBM/004 Document Date : 11/01/2025

Party : CUS001:: PAYMENT TERM CUSTOMER CHECK Branch : BROO1:: Main

Department : DPO001:: Account

Document No  Document Amount Branch Narration Reference
Date

INV/004 18/12/2024 1100.00 BROO01:Main

-INV/004 18/12/2024 1100.00 BROO01:Main

-INV/005 06/01/2025 2600.00 BRO01:Main

-1003 18/12/2024 1100.00 BROO01:Main

-1004 06/01/2025 1250.00 BROO01:Main

4. Can't delete a document submission. FIXED

5. Missing translation for the columns in the grid. FIXED

6. While on edit mode of a document grid data disappears while clicking reset button. FIXED
SOLUTION:

--.Remove the reset button from the right side.

--.Add a reset button below the search button in the search section.

7. On edit mode of the document while clicking search button not submitted documents are not showing.

#60 - 02/26/2025 03:32 PM - Theja Ponon

- File clipboard-202502261214-drhns.png added
- File clipboard-202502261224-gzbn7.png added
- File clipboard-202502261313-iqgwj.png added

- File clipboard-202502261502-afmyj.png added

- File clipboard-202502261503-vixxn.png added

- File clipboard-202502261507-5szqp.png added
- File clipboard-202502261507-qd9ef.png added

Issue Found

Document Submission

Document Submission has been Saved.

Document No Document Date Amount In QAR | Reference

» INV/001 28/01/2025 110000

2)Data in grid is not showing in print . FIXED

3)submission date can given previous of the doc date FIXED
4)On reloading document period is set back to todays date. THERE IS NO USE CASE HERE LIKE THAT DATE CAN BE INFERED TO ANY DATE
AS CANT SAY THIS DATA WILL COME HERE NOT LIKE RECO

Document Submission

DecNo | sam/03 Date* | 020272025 Q08 BNt | BROOZ: Branch v
Perty* | cusoo2 QAR v Department” | pPDO1: Account v
Created By, Administrator{26/02/2025 12:12 PM) Narration B
Modified By: Total Amount QAR:  0.00
peroc™ | 260172005 O 0 s o6 Branc® | grancn x Main % - Depariment | scect - \
Party” | cusooz Customer A QAR ~ Module | Sje %  Against Sale M Qe

PPN

Narration Submission

DocMNo | sgmyo06 Date” | 26/02/2025 <] Branch® | BROO2: Branch v
Party* | CUs002 Customer A QAR @ Department™ | pp0O1:: Account ~
Created By Administraton(26/02/2025 1223 PM) Narration | veswmamssse P
Medified By: Total Amount QAR:  1100.00
Period® | 26/02/2025 @ | | 2602205 [ r] Branc”® | Branch % Main % - Department | ceject,
Q search - Prit
Party* | cusoo2 Cu QAR ~ Module | Sale % Against Sale ¥ v
Ana
e T a &
Document No Document Date Amount In QAR | Reference Narration Submission

INV/001 110000

5)export xIsx is not in table head FIXED
6)export pdf is not working . FIXED

28/01/2025

SBM/006: (26-02-2025)

7)submission is not showing only after reentering the doc number and focus out FIXED
e D

Document Submission has been Saved. X '
DocNe | Sam/008 Date® | 26/02/2025 Q0 BN BROOZ: Branch he =
Farty* | cusooz Customer A QAR i Department* | ppoO1: Account v
Created By: - Administrator(26/02/2025 07:11 PM) Narration 4 l
Modified By: Total Amount QAR: - 2200.00 .
Peried” | 26/01/2025 Q0 26/02/2025 [ r} Branch® | Branch % Main 3 - Department | seiect -
Q Search
Party” | cus02 Customer A QAR v Module | sale % Against Sale % -
ana
ment Submission L T a / =]
v Document No Document Date Amount In QAR Reference Narration Submission
» v INV/001 28/01/2025 110000
—_—
v INV/002 0710212025 110000
_

8)after updation of sale FIXED

Trayvise

Document Submission

e DocNo | samso12 Date* | 020212025 oo Branch® | BRO02: Branch ~
Party” | CUS002 < QAR v Department” | ppoO1: Account ~
Created By:  Administrator(26/02/2025 02:35 PM) Narration -
Modified By: - Administrator(26/02/2025 02:37 PM)[1] Total Amount QAR:  1600.00
Period® | 26/02/2025 @ 0| | 2602205 (<] Branch® | Branch s Main % - Departmert | ¢,
fo Q Search
Py Qusooz Customer A QAR w2 Module | sale % Against Sale % e
ana
L
ment Submission L T a / =]
d Document No Document Date Amount In QAR Reference Narration Submission
bry
N4 INV/001 28/01/2025 1600.00 SBM/012: )
—_—

9)already submitted document showing in next submission FIXED
Document Submission

DocNo | semyDi3 Date*

Branch®

BRO02: Branch v

DPO0T: Account v

260212005 o
Party* | CUSD02 QAR v Department*
Created By:  Administrator(26/02/2025 02:38 PM) Narration
Vodires by Total Amount QAR:  1100.00
B reriod® | 2670272025 O 0| s o0 Bronc® | grncn ¥ Main %
Pary" | CUS002 Module

v

Document No

» v INV/003

Period”

Party”

Document No
v INV/001

v INV/003

Document Date
26/02/2025

Doc No

Party” | cusoo2 Customer

Created By:
Modified By:

26/01/2025

cusooz

Document Date
28/01/2025

26/02/2025

QAR N7

Amount In QAR | Reference
1100.00

Date* | 26/02/2025

Q@ 0 2602025 [x]

QAR

Amount In QAR Reference
160000

110000

Sele % AgainstSale %

PYY

Naration

Brand® | Branch % Main %

Module | sale x AgainstSale %

PP

Narration

10)Refund doc is not showing . needs to be done from refund. - has notified amal

9. Inactive documents showing in the grid. FIXED

10. Doc no: showing for customer who has done AR sharing is wrong.c FIXED

#61 - 03/17/2025 01:03 PM - Theja Ponon
- File clipboard-202503171303-nsdo2.png added

#62 - 03/17/2025 01:05 PM - Theja Ponon
- File clipboard-202503171305-b6kso.png added

Issue Found

vvise

Document Submission

Branch®

Department™

Narration

Total Amount QAR: ¢

. Department | cojec, -
Q Search - Print.
T a =
Submission
SBM/013:

BROO02: Branch v ‘
DPOD1: Account v ‘
4
.00
- Department | soct -

Submission

Document Date cannot be earlier than the documents selected for submission,

Doc No Date’ | 05/01/2025
Party” | CUS004 Customer C
Created By:
Modified By:
Period” | 17/03/2024 [ ] 17/03/2025 [}
Party” | CUSO04 C QAR ~
ument Submission List
. Document No Document Date Amount In QAR | Reference
v v INV/010 05/01/2025 100000
v TKO11 05/01/2025 1000.00
- INV/011 10/01/2025 100000
TKO123 10/01/2025 100000

2)On submitting the document

05/03/2025

X
Q0 Branch®  BROOT: Main h
QAR v Department™  DPOO1: Account v
Narration
“
Total Amount QAR:  1000.00
Branch™ | Main ~ Department | seject -
Q Search
Module | Sale 3 AgainstSale 3 M
ana
T a / B m
Narration Submission
Document Submission

sion_details

" : “DATABASE_SYSTEM_ERROR”, "strSq|CustomErrorCe
“INSERT INTO submission.tbl_d
Id AS BIGINT) \n\(\A\\CAST(

pOutRes\"\nPL/pgSQL functio

Doc No Date™ | 06/01/2025 [ Branch® | BROO1: Main
Party" | CUS004 QAR Department” | DPO01: Account
M“"""Eday‘ Total Amount QAR:  1000.00
Period” | 17/03/2024 D 8| | 1703205 [xJlr] Branch® | m
Party” | cusoo4. QAR v Module | sale Against Sale
- =
Document No Document Date Amount In QAR = Reference Narration
- v INV/010 05/01/2025 1000.00
4 TKO11 05/01/2025 1000.00
INV/011 10/01/2025 100000
TK0123 10/01/2025 1000.00
3)Issue on searching
Files
SQL-DOC-SUBMISSION-DATA.sql 1.95 KB 03/09/2023 Junaid M
Sql.sql 12.2 KB 03/11/2023 Junaid M
clipboard-202502121140-ifrjw.png 125 KB 02/12/2025 Arathy PS
clipboard-202502121143-itonb.png 71 KB 02/12/2025 Arathy PS
clipboard-202502261214-drhns.png 102 KB 02/26/2025 Theja Ponon
clipboard-202502261224-gzbn7.png 83.8 KB 02/26/2025 Theja Ponon
clipboard-202502261313-iqgwj.png 81.3 KB 02/26/2025 Theja Ponon
clipboard-202502261502-afmyj.png 110 KB 02/26/2025 Theja Ponon
clipboard-202502261503-vixxn.png 110 KB 02/26/2025 Theja Ponon
clipboard-202502261507-5szqp.png 103 KB 02/26/2025 Theja Ponon
clipboard-202502261507-qd9ef.png 68.4 KB 02/26/2025 Theja Ponon
clipboard-202503171303-nsdo2.png 118 KB 03/17/2025 Theja Ponon
clipboard-202503171305-b6kso.png 160 KB 03/17/2025 Theja Ponon
